//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2006 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor:        Xilinx
// \   \   \/    Version:       1.0.0
//  \   \        Filename:      icap_spartan3a.v
//  /   /        Date Created:  October 1, 2006
// /___/   /\    Last Modified: October 1, 2006
// \   \  /  \
//  \___\/\___\
//
// Devices:   Spartan-3 Generation FPGA
// Purpose:   ICAP model for simulation; don't use BUSY.
// Contact:   crabill@xilinx.com
// Reference: None
//
// Revision History:
//   Rev 1.0.0 - (crabill) Derived from XDS VHDL model October 1, 2006.
//
//////////////////////////////////////////////////////////////////////////////
//
// LIMITED WARRANTY AND DISCLAIMER. These designs are provided to you "as is".
// Xilinx and its licensors make and you receive no warranties or conditions,
// express, implied, statutory or otherwise, and Xilinx specifically disclaims
// any implied warranties of merchantability, non-infringement, or fitness for
// a particular purpose. Xilinx does not warrant that the functions contained
// in these designs will meet your requirements, or that the operation of
// these designs will be uninterrupted or error free, or that defects in the
// designs will be corrected. Furthermore, Xilinx does not warrant or make any
// representations regarding use or the results of the use of the designs in
// terms of correctness, accuracy, reliability, or otherwise.
//
// LIMITATION OF LIABILITY. In no event will Xilinx or its licensors be liable
// for any loss of data, lost profits, cost or procurement of substitute goods
// or services, or for any special, incidental, consequential, or indirect
// damages arising from the use or operation of the designs or accompanying
// documentation, however caused and on any theory of liability. This
// limitation will apply even if Xilinx has been advised of the possibility
// of such damage. This limitation shall apply not-withstanding the failure
// of the essential purpose of any limited remedies herein.
//
//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2006 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////

`timescale 1 ns / 1 ps

module ICAP_SPARTAN3A
  (
  output wire        BUSY,
  output wire  [7:0] O,
  input  wire        CE,
  input  wire        WRITE,
  input  wire  [7:0] I,
  input  wire        CLK
  );

  // synthesis translate_off

  //******************************************************************//
  //                                                                  //
  //******************************************************************//

  reg          [7:0] count;
  reg          [7:0] out_sig;
  reg          [7:0] data_in;

  assign BUSY = CE;
  assign O = out_sig;

  always @(posedge CLK)
  begin
    if (!CE && WRITE) count <= count + 1;
    else count <= 0;
  end

  always @(posedge CLK)
  begin
    if (!CE)
    begin
      if (!WRITE) data_in <= I;
      else out_sig <= count;
    end
    else out_sig <= -1;
  end

  //******************************************************************//
  //                                                                  //
  //******************************************************************//

  // synthesis translate_on

endmodule
