//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2006 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /   Vendor:        Xilinx
// \   \   \/    Version:       1.0.0
//  \   \        Filename:      picocode.v
//  /   /        Date Created:  October 1, 2006
// /___/   /\    Last Modified: October 1, 2006
// \   \  /  \
//  \___\/\___\
//
// Devices:   Spartan-3 Generation FPGA
// Purpose:   Executable PicoBlaze code from picocode.psm without JTAG Loader
// Contact:   crabill@xilinx.com
// Reference: None
//
// Revision History:
//   Rev 1.0.0 - (crabill) First created October 1, 2006.
//
//////////////////////////////////////////////////////////////////////////////
//
// LIMITED WARRANTY AND DISCLAIMER. These designs are provided to you "as is".
// Xilinx and its licensors make and you receive no warranties or conditions,
// express, implied, statutory or otherwise, and Xilinx specifically disclaims
// any implied warranties of merchantability, non-infringement, or fitness for
// a particular purpose. Xilinx does not warrant that the functions contained
// in these designs will meet your requirements, or that the operation of
// these designs will be uninterrupted or error free, or that defects in the
// designs will be corrected. Furthermore, Xilinx does not warrant or make any
// representations regarding use or the results of the use of the designs in
// terms of correctness, accuracy, reliability, or otherwise.
//
// LIMITATION OF LIABILITY. In no event will Xilinx or its licensors be liable
// for any loss of data, lost profits, cost or procurement of substitute goods
// or services, or for any special, incidental, consequential, or indirect
// damages arising from the use or operation of the designs or accompanying
// documentation, however caused and on any theory of liability. This
// limitation will apply even if Xilinx has been advised of the possibility
// of such damage. This limitation shall apply not-withstanding the failure
// of the essential purpose of any limited remedies herein.
//
//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2006 Xilinx, Inc.
// This design is confidential and proprietary of Xilinx, All Rights Reserved.
//////////////////////////////////////////////////////////////////////////////
 
`timescale 1 ns / 1 ps
 
module picocode
  (
  input  wire  [9:0] address,
  input  wire        clk,
  output wire [17:0] instruction,
  output wire        debug_reset
  );
 
  RAMB16_S18 #(
    .INIT_00(256'h6034541320024050004DE0380025401C54092001405000960168018502CB02DA),
    .INIT_01(256'h0020019BE038003E4017500FC60154200369060A02C602A202B7014C50204000),
    .INIT_02(256'h40521101404210FB4057029B4020544220014003543620014021542A20014011),
    .INIT_03(256'h404310E5405310C8405210D5404210CF405702AC4020111840431112405310F5),
    .INIT_04(256'h507340FF6036402011424043113C405311204052112C404211264057402010EC),
    .INIT_05(256'h71F00F30022210604093B540C4F00406505C44081600028E01041500A40F1400),
    .INIT_06(256'h029201041060546601D4106076F050844F348F01405F50844F348F0150665160),
    .INIT_07(256'h01041060A000E034000054744F348F01507E01D4106076F00F3040861500C00E),
    .INIT_08(256'h8001603702F60000E0014077E0004076E0026037060005FF40931500C00E0292),
    .INIT_09(256'h58A601B701020001B00040014070F0F00F300001A000E634E53511AF4000E037),
    .INIT_0A(256'h00030F30B00040024070F0F08F010001F0F0000240ABF0F08F010002F0F00001),
    .INIT_0B(256'h71F0000340C2010340C7F0F08F0100035CBC01B771F000038F015CBE01B771F0),
    .INIT_0C(256'h026AA0000000028B025950101100026AA00000C7F2F08F01F1F072F08F01F0F0),
    .INIT_0D(256'h4800E700C801D0D0026A1800026A1700026A1D00026AA0000000D0D0026A1D00),
    .INIT_0E(256'h025940620236026AA0000000028B025970101100026AA000000054DB470054DB),
    .INIT_0F(256'h0000D0D0029B1D00029BA0000000029650101100029BA0000000028B02594061),
    .INIT_10(256'h55074700550710704800E700C801D0D0029B1800029B1700029B1D00029BA000),
    .INIT_11(256'hA000000002964061029640620236029BA0000000029670101100029BA0000000),
    .INIT_12(256'h170002711D000271A0000000D0D002711D000271A000000002BC501011000271),
    .INIT_13(256'h02BC701011000271A00000005532470055324800E700C801D0D0027118000271),
    .INIT_14(256'hC142C141C1400100014C0000A000000002BC406102BC406202360271A0000000),
    .INIT_15(256'hE1004176C1400110C0425000807051664000C1460100C1450107C1440101C143),
    .INIT_16(256'h80701F004169B000C701016E107047704020C04702F66035E1026137E1014177),
    .INIT_17(256'h8D01870102DDF0D002EE07001F701D000292010310F0E002E0010000E0005000),
    .INIT_18(256'h870102DD5598400002EEE7020700E0014077E0004076A00017F0417B51834708),
    .INIT_19(256'h0700E0014077E0004076A000E737E036A000E0370000E03600FF01AF558B4700),
    .INIT_1A(256'h4276A00002F60000E737E036A0F0419255A14700670202DD55A9400002EEE702),
    .INIT_1B(256'hB400513001C210401200131001C210101400A000031EE2020200E2014277E200),
    .INIT_1C(256'hB40040FF70D01D0002920103A00070D08D0171D01D00800202920103A0005020),
    .INIT_1D(256'h10B0B40040FF70D08D01B400400070D01D00029201031B00A00040FF70D08D01),
    .INIT_1E(256'h40AA41E7521D40E0600202DD55EF40FF02EEE0020010E0010000E00050008070),
    .INIT_1F(256'h55F5406102EE02DD55F5403102EE521D40F8600202DD561D409902EE02DD561D),
    .INIT_20(256'hE0010000E0005000807010B0023610B0A000560820084050521D208002EE02DD),
    .INIT_21(256'h0000022210B0B00040004061561D40004062C06102EE02DDC06102EEE0020004),
    .INIT_22(256'h00001D000292010310D002F6E0010000E0020001E000500080701D00A000C001),
    .INIT_23(256'h02DD130002EEE0020006E0010000E00050008070A000C05000FFF0D08D01F0D0),
    .INIT_24(256'hC501C06102D3000002E702D3000302D7E0020010C060150002EE02DD140002EE),
    .INIT_25(256'h0261A00F10E00261028E01041E00A00002DA564C4500564C4400564CE300E400),
    .INIT_26(256'h02ACA000028002AC027302ACA00002A78037A00002A780305A67D1000109A000),
    .INIT_27(256'hA0001F0002920104C030427CC037427CC0575A7940615A7B4041A00002C1A000),
    .INIT_28(256'hC101000EA00002A7000AA000D0F0C0304289C0374289C0575A8640615A884041),
    .INIT_29(256'h15004010529B21014111A000C010569621104111A0005692C1010006A000568E),
    .INIT_2A(256'h402052AC21014121A000C02056A72110412142A24010B00021014111A0001050),
    .INIT_2B(256'hC00256BC2110410342B74020B00021014121A00002A7402052B121014121A000),
    .INIT_2C(256'h02D3000002D3009F02D742C64002B00021014103A000400252C121014103A000),
    .INIT_2D(256'h620061016002A000C13001FFA000C1300100A00040310331C031A00002DAE003),
    .INIT_2E(256'h000302D7A00002D3600202D3600102D36000A000E200E101E002A200A1008001),
    .INIT_2F(256'h103002E702D3000202D703275305401F60031300A00002DA02D3000002E702D3),
    .INIT_30(256'h02D3000002D3008402D7034102DA02E702D3005302D7A000032C033802DA02D3),
    .INIT_31(256'h02D70327A000034102DA02E702D3008802D702DA02D3103002D3600202D30000),
    .INIT_32(256'h02DA02D3000402D7A00002DA02D3000602D7A000032C033502DA02E702D300D8),
    .INIT_33(256'h02DA573B200102D3000002D3000502D75341401F6003A000573120024030A000),
    .INIT_34(256'h21014111B400210141210010A00002DA5344208002D3000002D300D702D7A000),
    .INIT_35(256'hB40003570318A0005758C201B400034A0203A000574BC001B40021014103B400),
    .INIT_36(256'h0000A000576AC501B40003630531A0005764C401B400035D0413A000575EC301),
    .INIT_37(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_38(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_39(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_3A(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_3B(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_3C(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_3D(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_3E(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_3F(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_00(256'h0A35F030C3C35F5D0CC2D300D3DDDDDF77777F77777F4D34F8F7CFFD34E3D3FF),
    .INITP_01(256'h2CE30E3CCF8F0E3756CCCE2CE3C3B9860CE4F07C09248E48F0920AB64C8880C3),
    .INITP_02(256'h5EC0C2884E70EC8888876222A8C8CCF8C38DD5B3338B38C38CCF8C38DC56CCCE),
    .INITP_03(256'hDFDF4F7F7D3DE2212464309190C841C99C0C2E222CA3D3DE222AA23D7DE2223D),
    .INITP_04(256'h8C77776EEFFB6DD2C3C2F7756CF388F3CE221A260C388849324D2FB8884CB4DF),
    .INITP_05(256'h3CFD0BCF3B332A95028A23AECCF248D2B4C92CD234AD32480D2B4B6B6B21DDDD),
    .INITP_06(256'h000000002DB2DB2DB2DB2D92490BDCCEF733D2D2F3BCEFFCFBFCFCCCCCFFCEFF),
    .INITP_07(256'h0000000000000000000000000000000000000000000000000000000000000000))
  ram_1024_x_18 (
    .DI(16'h0000),
    .DIP(2'b00),
    .EN(1'b1),
    .WE(1'b0),
    .SSR(1'b0),
    .CLK(clk),
    .ADDR(address),
    .DO(instruction[15:0]),
    .DOP(instruction[17:16]));
 
  assign debug_reset = 1'b0;
 
endmodule
